# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-panel-datetime.git
# git archive --format=tar --prefix=meego-panel-datetime-%{version}/ %{version} | bzip2 > %{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.bz2

Name:          meego-panel-datetime
Version:       0.3.2
Release:       5%{?dist}
Summary:       MeeGo date and time panel

Group:         User Interface/Desktops 
License:       LGPLv2
URL:           http://www.meego.com/
Source0:       %{tarfile}

BuildRequires: GConf2-devel
BuildRequires: clutter-gtk-devel
BuildRequires: evolution-data-server-devel
BuildRequires: jana-devel
BuildRequires: libcanberra-devel
BuildRequires: libgweather-devel
BuildRequires: libnotify-devel
BuildRequires: libmx-devel
BuildRequires: libxml2-devel
BuildRequires: mutter-meego-devel
BuildRequires: meego-panel-myzone-devel
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: gettext

# Require until stable tar ball release
BuildRequires: libtool
BuildRequires: gnome-common

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Date and Time panel which features world clock and alarm support.

%prep
%setup -q

#Fix panel name
sed -i 's#moblin-panel#meego-panel#' configure.ac
# Fix libmeego issues
sed -i 's#meego-panel#libmeego-panel/meego-panel#' src/*.c
sed -i 's#meego-panel#libmeego-panel/meego-panel#' src/*.h

# Require until stable tar ball release
NOCONFIGURE=yes ./autogen.sh

%build
%configure --disable-static --disable-schemas
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang %{name}

%clean
rm -rf %{buildroot}

%pre
%gconf_schema_prepare date-time

%post
%gconf_schema_upgrade date-time

%preun
%gconf_schema_remove date-time

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_sysconfdir}/gconf/schemas/date-time.schemas
%{_libexecdir}/meego-panel-datetime
%{_datadir}/dbus-1/services/com.meego.UX.Shell.Panels.datetime.service
%{_datadir}/mutter-meego/panels/meego-panel-datetime.desktop
%{_datadir}/meego-panel-datetime/

%changelog
* Mon Dec  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.3.2-5
- Rebuild with gtk3

* Sat Nov  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.3.2-4
- fix gconf scriptlet paths - fixes 650263

* Sat Nov  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.3.2-3
- Update dependencies for package renames

* Mon Sep  7 2010 Peter Robinson <pbrobinson@gmail.com> 0.3.2-2
- Add gconf scriptlets

* Sat Aug 14 2010 Peter Robinson <pbrobinson@gmail.com> 0.3.2-1
- upstream 0.3.2 release, initial packaging
